import { defineNuxtConfig } from "nuxt/config";
// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  pages: true,
  build: {
    transpile: ["vuetify"],
  },
  css: [
    "vuetify/lib/styles/main.sass",
    "@mdi/font/css/materialdesignicons.min.css",
  ],
  ssr: true,
  nitro: {
    esbuild: {
      options: {
        target: "es2022",
      },
    },
  },
  vite: {
    // devBundler: "legacy"
  },
  imports: {
    autoImport: false,
  },
});
